Skip to main content
`Ctrl`+`K`

# DMSwarmFinalizeFieldRegister

Finalizes the registration of fields to a `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmFinalizeFieldRegister(DM dm)

Collective

## Input Parameter

- dm - a `DMSWARM`

## Note

After `DMSwarmFinalizeFieldRegister()` has been called, no new fields can be defined on the `DMSWARM`.

## See Also

`DM`, `DMSWARM`, `DMSwarmInitializeFieldRegister()`, `DMSwarmRegisterPetscDatatypeField()`, `DMSwarmRegisterUserStructField()`, `DMSwarmRegisterUserDatatypeField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/ex20.c
src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex3.c
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/swarm/tutorials/ex1.c
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/ex21.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages